/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * WebServiceDispatch.java
 *
 * Created on Oct 4, 2011, 5:32:13 PM
 */
package webserviceapp;

import java.util.HashMap;

/**
 *
 * @author marka
 */
public class WebServiceDispatch extends javax.swing.JFrame {
    private int index;
    private HashMap data;
    private WebServiceApp ws;
    /** Creates new form WebServiceDispatch */
    public WebServiceDispatch(WebServiceApp wsa, HashMap parsedData, String quoteNbr) {
        initComponents();
        this.ws = wsa;
        this.data = parsedData;
        addBranches();
        addShippingLines();
        for(int i=0; i< Integer.valueOf(parsedData.get("numOfQuotes").toString()).intValue(); i++) {
            if(parsedData.get("quoteNbr"+i).toString().equals(quoteNbr)) {
                index=0;
            }
        }
        this.lblPort.setText(data.get("originName"+index).toString());
        this.lblCargoDelivery.setText(data.get("destName"+index).toString());
        this.lblEmptyReturn.setText(data.get("emptyName"+index).toString());
        this.txtType.setText(data.get("containerTypeDesc"+index).toString());
        this.txtHaz.setText(data.get("haz").toString());
        this.txtQuoteNbr.setText(data.get("quoteNbr"+index).toString());
        this.txtBaseRate.setText(data.get("quoteAmt"+index).toString());
        this.txtAllInRate.setText(data.get("allInRate"+index).toString());
        addGroupMembers();
        
        if(data.get("containerSizeDesc"+index).equals("20")) {
            cboSize.addItem("20");
            cboSize.setEnabled(false);
        } else if (data.get("containerSizeDesc"+index).equals("40/45")) {
            cboSize.addItem("<Select One>");
            cboSize.addItem("40");
            cboSize.addItem("45");
        }

        
        if(data.get("ix").equals("X")) {
            //export
            lblEtaEtd.setText("ETD:");
            lblBolBook.setText("Booking:");

            lblCutOff.setEnabled(true);
            txtCutOff.setEnabled(true);
            lblCutOffMand.setEnabled(true);

            lblOsPort.setEnabled(true);
            txtOsPort.setEnabled(true);
            lblOsPortMand.setEnabled(true);
            
            lblErd.setEnabled(true);
            txtERD.setEnabled(true);
            lblErdMand.setEnabled(true);
            
            //import
            lblInBondMand.setVisible(false);
        }
        if(data.get("haz").equals("N")) {
            lblAddInfo.setVisible(false);
            
            lblUnNum.setEnabled(false);
            txtUnNum.setEnabled(false);
            lblAstUnNum.setVisible(false);
            
            lblClass.setEnabled(false);
            txtClass.setEnabled(false);
            lblAstClass.setVisible(false);
            
            lblPackGroup.setEnabled(false);
            txtPackGroup.setEnabled(false);
            lblAstPackGroup.setVisible(false);
        }
        if(!data.get("type").equals("RF") && !data.get("type").equals("RH")) {
            lblTemp.setEnabled(false);
            txtTemp.setEnabled(false);
            cboTemp.setEnabled(false);
            lblAstTemp.setVisible(false);
        } else {
            cboTemp.addItem("<Select One>");
            cboTemp.addItem("C");
            cboTemp.addItem("F");
        }
        
        if(!data.get("type").equals("FL")) {
            lblGauge.setEnabled(false);
            cboGauge.setEnabled(false);
            lblAstGauge.setVisible(false);
        } else {
            cboGauge.addItem("O");
            cboGauge.addItem("I");
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane2 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        tabDispatch = new javax.swing.JTabbedPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        lblEtaEtd = new javax.swing.JLabel();
        lblBolBook = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        cboBranch = new javax.swing.JComboBox();
        cboShipLine = new javax.swing.JComboBox();
        txtRefNum = new javax.swing.JTextField();
        txtVessel = new javax.swing.JTextField();
        txtVoyage = new javax.swing.JTextField();
        txtETA = new javax.swing.JTextField();
        txtBOL = new javax.swing.JTextField();
        cboBond = new javax.swing.JComboBox();
        jLabel9 = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        txtRemarks = new javax.swing.JTextArea();
        lblErd = new javax.swing.JLabel();
        txtERD = new javax.swing.JTextField();
        lblAsterick15 = new javax.swing.JLabel();
        lblAsterick16 = new javax.swing.JLabel();
        lblAsterick17 = new javax.swing.JLabel();
        lblAsterick18 = new javax.swing.JLabel();
        lblCutOff = new javax.swing.JLabel();
        txtCutOff = new javax.swing.JTextField();
        lblOsPort = new javax.swing.JLabel();
        txtOsPort = new javax.swing.JTextField();
        lblAsterick19 = new javax.swing.JLabel();
        lblAsterick20 = new javax.swing.JLabel();
        lblAsterick21 = new javax.swing.JLabel();
        lblAsterick22 = new javax.swing.JLabel();
        lblInBondMand = new javax.swing.JLabel();
        lblCutOffMand = new javax.swing.JLabel();
        lblErdMand = new javax.swing.JLabel();
        lblOsPortMand = new javax.swing.JLabel();
        tabLocation = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        cboPort = new javax.swing.JComboBox();
        jLabel11 = new javax.swing.JLabel();
        cboCargoDelivery = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        cboEmptyReturn = new javax.swing.JComboBox();
        lblPort = new javax.swing.JLabel();
        lblCargoDelivery = new javax.swing.JLabel();
        lblEmptyReturn = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        txtPortCity = new javax.swing.JTextField();
        jLabel28 = new javax.swing.JLabel();
        txtPortAddress1 = new javax.swing.JTextField();
        jLabel29 = new javax.swing.JLabel();
        txtCargoAddress1 = new javax.swing.JTextField();
        jLabel30 = new javax.swing.JLabel();
        txtCargoAddress2 = new javax.swing.JTextField();
        jLabel31 = new javax.swing.JLabel();
        txtCargoCity = new javax.swing.JTextField();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        txtEmptyAddress1 = new javax.swing.JTextField();
        jLabel34 = new javax.swing.JLabel();
        txtEmptyAddress2 = new javax.swing.JTextField();
        jLabel35 = new javax.swing.JLabel();
        txtEmptyCity = new javax.swing.JTextField();
        jLabel36 = new javax.swing.JLabel();
        txtPortState = new javax.swing.JTextField();
        txtCargoState = new javax.swing.JTextField();
        txtEmptyState = new javax.swing.JTextField();
        txtPortAddress2 = new javax.swing.JTextField();
        tabContainer = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        txtContainerNbr = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        txtType = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        txtWeight = new javax.swing.JTextField();
        cboWeight = new javax.swing.JComboBox();
        jLabel17 = new javax.swing.JLabel();
        txtCommod = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        txtSeal = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        txtRamp = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        txtPier = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        txtQuoteNbr = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        txtBaseRate = new javax.swing.JTextField();
        jLabel24 = new javax.swing.JLabel();
        txtAllInRate = new javax.swing.JTextField();
        txtHaz = new javax.swing.JTextField();
        btnDispatch = new javax.swing.JButton();
        lblAsterick6 = new javax.swing.JLabel();
        lblAsterick7 = new javax.swing.JLabel();
        lblAsterick8 = new javax.swing.JLabel();
        lblAsterick9 = new javax.swing.JLabel();
        lblAsterick10 = new javax.swing.JLabel();
        lblAsterick11 = new javax.swing.JLabel();
        lblAsterick12 = new javax.swing.JLabel();
        lblAsterick13 = new javax.swing.JLabel();
        lblAsterick14 = new javax.swing.JLabel();
        cboSize = new javax.swing.JComboBox();
        tabAddInfo = new javax.swing.JPanel();
        lblAddInfo = new javax.swing.JLabel();
        lblUnNum = new javax.swing.JLabel();
        lblClass = new javax.swing.JLabel();
        lblPackGroup = new javax.swing.JLabel();
        txtPackGroup = new javax.swing.JTextField();
        txtClass = new javax.swing.JTextField();
        txtUnNum = new javax.swing.JTextField();
        lblAstUnNum = new javax.swing.JLabel();
        lblAstClass = new javax.swing.JLabel();
        lblAstPackGroup = new javax.swing.JLabel();
        lblTemp = new javax.swing.JLabel();
        txtTemp = new javax.swing.JTextField();
        cboTemp = new javax.swing.JComboBox();
        lblAstTemp = new javax.swing.JLabel();
        lblGauge = new javax.swing.JLabel();
        cboGauge = new javax.swing.JComboBox();
        lblAstGauge = new javax.swing.JLabel();
        tabMsg = new javax.swing.JPanel();
        jScrollPane3 = new javax.swing.JScrollPane();
        txtMsg = new javax.swing.JTextArea();
        jLabel6 = new javax.swing.JLabel();

        jTextArea1.setColumns(20);
        jTextArea1.setRows(5);
        jScrollPane2.setViewportView(jTextArea1);

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        tabDispatch.setMinimumSize(new java.awt.Dimension(478, 336));

        jScrollPane1.setPreferredSize(new java.awt.Dimension(453, 532));

        jPanel1.setPreferredSize(new java.awt.Dimension(451, 530));

        jLabel1.setText("File (Client) Ref #:");

        jLabel2.setText("Dispatching Branch:");

        jLabel3.setText("Shipping Line:");

        jLabel4.setText("Vessel:");

        jLabel5.setText("Voyage:");

        lblEtaEtd.setText("ETA:");

        lblBolBook.setText("BOL:");

        jLabel8.setText("In Bond:");

        cboBranch.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "<Select Branch>" }));

        cboShipLine.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "<Select Shipping Line>" }));

        cboBond.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "N", "Y" }));

        jLabel9.setText("Remarks:");

        txtRemarks.setColumns(20);
        txtRemarks.setRows(3);
        jScrollPane4.setViewportView(txtRemarks);

        lblErd.setText("ERD:");

        lblAsterick15.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick15.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick15.setText("*");

        lblAsterick16.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick16.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick16.setText("*");

        lblAsterick17.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick17.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick17.setText("*");

        lblAsterick18.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick18.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick18.setText("*");

        lblCutOff.setText("Cut Off:");

        lblOsPort.setText("OSPORT:");

        lblAsterick19.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick19.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick19.setText("*");

        lblAsterick20.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick20.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick20.setText("*");

        lblAsterick21.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick21.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick21.setText("*");

        lblAsterick22.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        lblAsterick22.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick22.setText("*");

        lblInBondMand.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        lblInBondMand.setForeground(new java.awt.Color(255, 0, 51));
        lblInBondMand.setText("*");

        lblCutOffMand.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        lblCutOffMand.setForeground(new java.awt.Color(255, 0, 51));
        lblCutOffMand.setText("*");

        lblErdMand.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        lblErdMand.setForeground(new java.awt.Color(255, 0, 51));
        lblErdMand.setText("*");

        lblOsPortMand.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        lblOsPortMand.setForeground(new java.awt.Color(255, 0, 51));
        lblOsPortMand.setText("*");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel8))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(lblBolBook))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(lblErd))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jLabel1))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jLabel2))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jLabel3))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jLabel4))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jLabel5))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(lblEtaEtd))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(lblCutOff))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(jLabel9))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(lblOsPort)))
                        .addGap(20, 20, 20)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(txtOsPort, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblOsPortMand))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick19))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(txtRefNum, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick15))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cboBranch, javax.swing.GroupLayout.PREFERRED_SIZE, 250, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick16))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cboShipLine, javax.swing.GroupLayout.PREFERRED_SIZE, 250, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick17))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(txtVessel, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick18))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(txtVoyage, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick20))
                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addGroup(jPanel1Layout.createSequentialGroup()
                                    .addComponent(txtERD, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(lblErdMand))
                                .addGroup(jPanel1Layout.createSequentialGroup()
                                    .addComponent(txtETA, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(lblAsterick21)))
                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addGroup(jPanel1Layout.createSequentialGroup()
                                    .addComponent(txtCutOff)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(lblCutOffMand))
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(cboBond, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(lblInBondMand))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(txtBOL, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(lblAsterick22)))))))
                .addContainerGap(18, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(jLabel1))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtRefNum, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick15)))
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(jLabel2))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(cboBranch, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick16)))
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(jLabel3))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(cboShipLine, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick17)))
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(jLabel4))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtVessel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick18)))
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(jLabel5))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtVoyage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick20)))
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(lblEtaEtd))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtETA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick21)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblErd)
                    .addComponent(txtERD, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblErdMand))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblCutOff)
                    .addComponent(lblCutOffMand)
                    .addComponent(txtCutOff, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblBolBook)
                    .addComponent(txtBOL, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAsterick22))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(cboBond, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblInBondMand))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblOsPort)
                    .addComponent(txtOsPort, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblOsPortMand))
                .addGap(13, 13, 13)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lblAsterick19)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel9))
                .addContainerGap(111, Short.MAX_VALUE))
        );

        lblErd.setEnabled(false);
        txtERD.setEnabled(false);
        lblCutOff.setEnabled(false);
        txtCutOff.setEnabled(false);
        lblOsPort.setEnabled(false);
        txtOsPort.setEnabled(false);
        lblCutOffMand.setEnabled(false);
        lblErdMand.setEnabled(false);
        lblOsPortMand.setEnabled(false);

        jScrollPane1.setViewportView(jPanel1);

        tabDispatch.addTab("Header", jScrollPane1);

        tabLocation.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel10.setText("Port/Ramp/Cy:");
        tabLocation.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 11, -1, -1));

        cboPort.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "<Please Select One>" }));
        cboPort.setMaximumSize(new java.awt.Dimension(127, 20));
        cboPort.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cboPortActionPerformed(evt);
            }
        });
        tabLocation.add(cboPort, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 36, 180, -1));

        jLabel11.setText("Cargo Delivery:");
        tabLocation.add(jLabel11, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 119, -1, -1));

        cboCargoDelivery.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "<Please Select One>" }));
        cboCargoDelivery.setMaximumSize(new java.awt.Dimension(127, 20));
        cboCargoDelivery.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cboCargoDeliveryActionPerformed(evt);
            }
        });
        tabLocation.add(cboCargoDelivery, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 144, 180, -1));

        jLabel12.setText("Empty Return:");
        tabLocation.add(jLabel12, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 227, -1, -1));

        cboEmptyReturn.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "<Please Select One>" }));
        cboEmptyReturn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cboEmptyReturnActionPerformed(evt);
            }
        });
        tabLocation.add(cboEmptyReturn, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 252, 180, -1));

        lblPort.setMaximumSize(new java.awt.Dimension(180, 14));
        lblPort.setMinimumSize(new java.awt.Dimension(180, 14));
        lblPort.setPreferredSize(new java.awt.Dimension(180, 14));
        tabLocation.add(lblPort, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 11, 177, -1));

        lblCargoDelivery.setMaximumSize(new java.awt.Dimension(180, 14));
        lblCargoDelivery.setMinimumSize(new java.awt.Dimension(180, 14));
        lblCargoDelivery.setPreferredSize(new java.awt.Dimension(180, 14));
        tabLocation.add(lblCargoDelivery, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 119, -1, -1));

        lblEmptyReturn.setMaximumSize(new java.awt.Dimension(180, 14));
        lblEmptyReturn.setMinimumSize(new java.awt.Dimension(180, 14));
        lblEmptyReturn.setPreferredSize(new java.awt.Dimension(180, 14));
        tabLocation.add(lblEmptyReturn, new org.netbeans.lib.awtextra.AbsoluteConstraints(103, 227, -1, -1));

        jLabel25.setText("Address 1:");
        tabLocation.add(jLabel25, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 65, -1, -1));

        jLabel26.setText("Address 2:");
        tabLocation.add(jLabel26, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 65, -1, -1));

        jLabel27.setText("City:");
        tabLocation.add(jLabel27, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 91, -1, -1));

        txtPortCity.setEditable(false);
        tabLocation.add(txtPortCity, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 88, 120, -1));

        jLabel28.setText("State:");
        tabLocation.add(jLabel28, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 91, -1, -1));

        txtPortAddress1.setEditable(false);
        tabLocation.add(txtPortAddress1, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 62, 120, -1));

        jLabel29.setText("Address 1:");
        tabLocation.add(jLabel29, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 173, -1, -1));

        txtCargoAddress1.setEditable(false);
        tabLocation.add(txtCargoAddress1, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 170, 120, -1));

        jLabel30.setText("Address 2:");
        tabLocation.add(jLabel30, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 173, -1, -1));

        txtCargoAddress2.setEditable(false);
        tabLocation.add(txtCargoAddress2, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 170, 120, -1));

        jLabel31.setText("State:");
        tabLocation.add(jLabel31, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 199, -1, -1));

        txtCargoCity.setEditable(false);
        tabLocation.add(txtCargoCity, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 196, 120, -1));

        jLabel32.setText("City:");
        tabLocation.add(jLabel32, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 199, -1, -1));

        jLabel33.setText("Address 1:");
        tabLocation.add(jLabel33, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 286, -1, -1));

        txtEmptyAddress1.setEditable(false);
        tabLocation.add(txtEmptyAddress1, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 283, 120, -1));

        jLabel34.setText("Address 2:");
        tabLocation.add(jLabel34, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 286, -1, -1));

        txtEmptyAddress2.setEditable(false);
        tabLocation.add(txtEmptyAddress2, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 283, 120, -1));

        jLabel35.setText("State:");
        tabLocation.add(jLabel35, new org.netbeans.lib.awtextra.AbsoluteConstraints(204, 312, -1, -1));

        txtEmptyCity.setEditable(false);
        tabLocation.add(txtEmptyCity, new org.netbeans.lib.awtextra.AbsoluteConstraints(66, 309, 120, -1));

        jLabel36.setText("City:");
        tabLocation.add(jLabel36, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 312, -1, -1));

        txtPortState.setEditable(false);
        tabLocation.add(txtPortState, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 88, 60, -1));

        txtCargoState.setEditable(false);
        tabLocation.add(txtCargoState, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 196, 60, -1));

        txtEmptyState.setEditable(false);
        tabLocation.add(txtEmptyState, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 309, 60, -1));

        txtPortAddress2.setEditable(false);
        tabLocation.add(txtPortAddress2, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 62, 120, -1));

        tabDispatch.addTab("Location", tabLocation);

        tabContainer.setPreferredSize(new java.awt.Dimension(539, 335));

        jLabel13.setText("Container #:");

        txtContainerNbr.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel14.setText("Size:");

        jLabel15.setText("Type:");

        txtType.setEditable(false);
        txtType.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel16.setText("Weight:");

        txtWeight.setPreferredSize(new java.awt.Dimension(65, 20));

        cboWeight.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "LBS", "KG" }));

        jLabel17.setText("Commodity:");

        txtCommod.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel18.setText("Seal:");

        txtSeal.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel19.setText("Ramp LFD:");

        txtRamp.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel20.setText("Pier LFD:");

        txtPier.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel21.setText("Haz:");

        jLabel22.setText("Quote #:");

        txtQuoteNbr.setEditable(false);
        txtQuoteNbr.setPreferredSize(new java.awt.Dimension(65, 20));

        jLabel23.setText("Base Rate:");

        txtBaseRate.setEditable(false);

        jLabel24.setText("All In Rate:");

        txtAllInRate.setEditable(false);

        txtHaz.setEditable(false);

        btnDispatch.setText("Submit Dispatch");
        btnDispatch.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDispatchActionPerformed(evt);
            }
        });

        lblAsterick6.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick6.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick6.setText("*");

        lblAsterick7.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick7.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick7.setText("*");

        lblAsterick8.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick8.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick8.setText("*");

        lblAsterick9.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick9.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick9.setText("*");

        lblAsterick10.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick10.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick10.setText("*");

        lblAsterick11.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick11.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick11.setText("*");

        lblAsterick12.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick12.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick12.setText("*");

        lblAsterick13.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick13.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick13.setText("*");

        lblAsterick14.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAsterick14.setForeground(new java.awt.Color(255, 0, 51));
        lblAsterick14.setText("*");

        javax.swing.GroupLayout tabContainerLayout = new javax.swing.GroupLayout(tabContainer);
        tabContainer.setLayout(tabContainerLayout);
        tabContainerLayout.setHorizontalGroup(
            tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabContainerLayout.createSequentialGroup()
                .addGap(10, 10, 10)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel13)
                            .addComponent(jLabel15)
                            .addComponent(jLabel17)
                            .addComponent(jLabel19)
                            .addComponent(jLabel21)
                            .addComponent(jLabel23))
                        .addGap(9, 9, 9)
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtContainerNbr, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtType, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtCommod, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtRamp, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtHaz, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtBaseRate, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addComponent(lblAsterick6)
                                .addGap(23, 23, 23)
                                .addComponent(jLabel14))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addComponent(lblAsterick8)
                                .addGap(23, 23, 23)
                                .addComponent(jLabel16))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addComponent(lblAsterick10)
                                .addGap(23, 23, 23)
                                .addComponent(jLabel18))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(36, 36, 36)
                                .addComponent(jLabel20))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addComponent(lblAsterick11)
                                .addGap(23, 23, 23)
                                .addComponent(jLabel22))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addComponent(lblAsterick14)
                                .addGap(23, 23, 23)
                                .addComponent(jLabel24)))
                        .addGap(10, 10, 10)
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(cboSize, javax.swing.GroupLayout.PREFERRED_SIZE, 112, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addComponent(txtWeight, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(cboWeight, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(txtSeal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtPier, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addComponent(txtQuoteNbr, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick12))
                            .addGroup(tabContainerLayout.createSequentialGroup()
                                .addComponent(txtAllInRate, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAsterick13)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(lblAsterick9)
                            .addComponent(lblAsterick7)))
                    .addComponent(btnDispatch))
                .addGap(337, 337, 337))
        );
        tabContainerLayout.setVerticalGroup(
            tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabContainerLayout.createSequentialGroup()
                .addGap(10, 10, 10)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(5, 5, 5)
                        .addComponent(jLabel13))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(txtContainerNbr, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(lblAsterick6))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel14))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(cboSize, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblAsterick7))))
                .addGap(9, 9, 9)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(jLabel15))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(txtType, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(lblAsterick8))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel16))
                    .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtWeight, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(cboWeight, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick9)))
                .addGap(9, 9, 9)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(jLabel17))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(txtCommod, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(lblAsterick10))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel18))
                    .addComponent(txtSeal, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(9, 9, 9)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(jLabel19))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(txtRamp, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel20))
                    .addComponent(txtPier, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(9, 9, 9)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(jLabel21))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(txtHaz, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(lblAsterick11))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel22))
                    .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtQuoteNbr, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick12)))
                .addGap(9, 9, 9)
                .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addComponent(jLabel23))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(txtBaseRate, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(lblAsterick14))
                    .addGroup(tabContainerLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(jLabel24))
                    .addGroup(tabContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtAllInRate, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lblAsterick13)))
                .addGap(104, 104, 104)
                .addComponent(btnDispatch))
        );

        tabDispatch.addTab("Containers", tabContainer);

        lblAddInfo.setText("No additional information is needed");

        lblUnNum.setText("UN Number:");

        lblClass.setText("Class:");

        lblPackGroup.setText("Packaging Group:");

        lblAstUnNum.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAstUnNum.setForeground(new java.awt.Color(255, 0, 51));
        lblAstUnNum.setText("*");

        lblAstClass.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAstClass.setForeground(new java.awt.Color(255, 0, 51));
        lblAstClass.setText("*");

        lblAstPackGroup.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAstPackGroup.setForeground(new java.awt.Color(255, 0, 51));
        lblAstPackGroup.setText("*");

        lblTemp.setText("Temp:");

        lblAstTemp.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAstTemp.setForeground(new java.awt.Color(255, 0, 51));
        lblAstTemp.setText("*");

        lblGauge.setText("In Gauge?:");

        lblAstGauge.setFont(new java.awt.Font("Tahoma", 1, 14));
        lblAstGauge.setForeground(new java.awt.Color(255, 0, 51));
        lblAstGauge.setText("*");

        javax.swing.GroupLayout tabAddInfoLayout = new javax.swing.GroupLayout(tabAddInfo);
        tabAddInfo.setLayout(tabAddInfoLayout);
        tabAddInfoLayout.setHorizontalGroup(
            tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabAddInfoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lblAddInfo)
                    .addGroup(tabAddInfoLayout.createSequentialGroup()
                        .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(lblPackGroup)
                            .addComponent(lblClass)
                            .addComponent(lblUnNum)
                            .addComponent(lblTemp)
                            .addComponent(lblGauge))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtUnNum, javax.swing.GroupLayout.DEFAULT_SIZE, 148, Short.MAX_VALUE)
                            .addComponent(txtClass, javax.swing.GroupLayout.DEFAULT_SIZE, 148, Short.MAX_VALUE)
                            .addComponent(txtPackGroup, javax.swing.GroupLayout.PREFERRED_SIZE, 148, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(tabAddInfoLayout.createSequentialGroup()
                                .addComponent(txtTemp, javax.swing.GroupLayout.PREFERRED_SIZE, 49, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(cboTemp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                            .addGroup(tabAddInfoLayout.createSequentialGroup()
                                .addComponent(cboGauge, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblAstGauge)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(lblAstClass)
                                .addComponent(lblAstUnNum))
                            .addComponent(lblAstPackGroup, javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(lblAstTemp, javax.swing.GroupLayout.Alignment.TRAILING))))
                .addContainerGap(214, Short.MAX_VALUE))
        );
        tabAddInfoLayout.setVerticalGroup(
            tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabAddInfoLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblAddInfo)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblUnNum)
                    .addComponent(txtUnNum, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAstUnNum))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblClass)
                    .addComponent(txtClass, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAstClass))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblPackGroup)
                    .addComponent(txtPackGroup, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAstPackGroup))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblTemp)
                    .addComponent(txtTemp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAstTemp)
                    .addComponent(cboTemp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(tabAddInfoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblGauge)
                    .addComponent(cboGauge, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblAstGauge))
                .addContainerGap(164, Short.MAX_VALUE))
        );

        tabDispatch.addTab("Additional Info", tabAddInfo);

        txtMsg.setColumns(20);
        txtMsg.setEditable(false);
        txtMsg.setLineWrap(true);
        txtMsg.setRows(3);
        txtMsg.setWrapStyleWord(true);
        jScrollPane3.setViewportView(txtMsg);

        jLabel6.setText("Message");

        javax.swing.GroupLayout tabMsgLayout = new javax.swing.GroupLayout(tabMsg);
        tabMsg.setLayout(tabMsgLayout);
        tabMsgLayout.setHorizontalGroup(
            tabMsgLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabMsgLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(tabMsgLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.DEFAULT_SIZE, 455, Short.MAX_VALUE)
                    .addComponent(jLabel6))
                .addContainerGap())
        );
        tabMsgLayout.setVerticalGroup(
            tabMsgLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(tabMsgLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 237, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(76, Short.MAX_VALUE))
        );

        tabDispatch.addTab("Message", tabMsg);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(tabDispatch, javax.swing.GroupLayout.PREFERRED_SIZE, 480, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(tabDispatch, javax.swing.GroupLayout.PREFERRED_SIZE, 372, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void btnDispatchActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDispatchActionPerformed
    if(validateData()) {
        String gXML = generateDispatchXML();
        System.out.println(gXML);
        String results = ("<xml>" + submitDispatchXML(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), gXML) + "</xml>");

        ws.setDOM(results);
        String msg = "";
        if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
            msg = "Dispatch submitted.\n\n";
            msg += (ws.getParsedXmlVal("dispatch", "requestnbr", 0) + " container(s).\n\n");
            msg += ("Dispatch Number:  " + ws.getParsedXmlVal("dispatch", "dispnbr", 0) + "\n\n");
            msg += ("Confirmation Number:  " + ws.getParsedXmlVal("dispatch", "confnbr", 0));
        } else {
        //if(ws.getParsedXmlVal("data", "result", 0).equals("error")) {
            msg += ("Error Description:  " + ws.getParsedXmlVal("data", "resultDesc", 0) + "\n\n");
            for(int i=0; i<ws.getNodeSize(); i++) {
                msg += ("Error " + (i+1) + ":  "+ ws.getParsedXmlVal("errors", "error", i) + "\n\n");
            }
        }
        txtMsg.setText(msg);
        System.out.println(results);
        tabDispatch.setSelectedIndex(4);
    }
}//GEN-LAST:event_btnDispatchActionPerformed

private void cboEmptyReturnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cboEmptyReturnActionPerformed
    if(cboEmptyReturn.getSelectedIndex() > 0) {
        txtEmptyAddress1.setText(data.get("emptyAddressOne"+(cboEmptyReturn.getSelectedIndex()-1)).toString());
        txtEmptyCity.setText(data.get("emptyCity"+(cboEmptyReturn.getSelectedIndex()-1)).toString());
        txtEmptyState.setText(data.get("emptyState"+(cboEmptyReturn.getSelectedIndex()-1)).toString());
    }
}//GEN-LAST:event_cboEmptyReturnActionPerformed

private void cboCargoDeliveryActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cboCargoDeliveryActionPerformed
    if(cboCargoDelivery.getSelectedIndex() > 1) {
        txtCargoAddress1.setText(data.get("cargoAddressOne"+(cboCargoDelivery.getSelectedIndex()-1)).toString());
        txtCargoCity.setText(data.get("cargoCity"+(cboCargoDelivery.getSelectedIndex()-1)).toString());
        txtCargoState.setText(data.get("cargoState"+(cboCargoDelivery.getSelectedIndex()-1)).toString());
    }
}//GEN-LAST:event_cboCargoDeliveryActionPerformed

private void cboPortActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cboPortActionPerformed
    if(cboPort.getSelectedIndex() > 0) {
        txtPortAddress1.setText(data.get("portAddressOne"+(cboPort.getSelectedIndex()-1)).toString());
        txtPortCity.setText(data.get("portCity"+(cboPort.getSelectedIndex()-1)).toString());
        txtPortState.setText(data.get("portState"+(cboPort.getSelectedIndex()-1)).toString());
    }
}//GEN-LAST:event_cboPortActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDispatch;
    private javax.swing.JComboBox cboBond;
    private javax.swing.JComboBox cboBranch;
    private javax.swing.JComboBox cboCargoDelivery;
    private javax.swing.JComboBox cboEmptyReturn;
    private javax.swing.JComboBox cboGauge;
    private javax.swing.JComboBox cboPort;
    private javax.swing.JComboBox cboShipLine;
    private javax.swing.JComboBox cboSize;
    private javax.swing.JComboBox cboTemp;
    private javax.swing.JComboBox cboWeight;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JLabel lblAddInfo;
    private javax.swing.JLabel lblAstClass;
    private javax.swing.JLabel lblAstGauge;
    private javax.swing.JLabel lblAstPackGroup;
    private javax.swing.JLabel lblAstTemp;
    private javax.swing.JLabel lblAstUnNum;
    private javax.swing.JLabel lblAsterick10;
    private javax.swing.JLabel lblAsterick11;
    private javax.swing.JLabel lblAsterick12;
    private javax.swing.JLabel lblAsterick13;
    private javax.swing.JLabel lblAsterick14;
    private javax.swing.JLabel lblAsterick15;
    private javax.swing.JLabel lblAsterick16;
    private javax.swing.JLabel lblAsterick17;
    private javax.swing.JLabel lblAsterick18;
    private javax.swing.JLabel lblAsterick19;
    private javax.swing.JLabel lblAsterick20;
    private javax.swing.JLabel lblAsterick21;
    private javax.swing.JLabel lblAsterick22;
    private javax.swing.JLabel lblAsterick6;
    private javax.swing.JLabel lblAsterick7;
    private javax.swing.JLabel lblAsterick8;
    private javax.swing.JLabel lblAsterick9;
    private javax.swing.JLabel lblBolBook;
    private javax.swing.JLabel lblCargoDelivery;
    private javax.swing.JLabel lblClass;
    private javax.swing.JLabel lblCutOff;
    private javax.swing.JLabel lblCutOffMand;
    private javax.swing.JLabel lblEmptyReturn;
    private javax.swing.JLabel lblErd;
    private javax.swing.JLabel lblErdMand;
    private javax.swing.JLabel lblEtaEtd;
    private javax.swing.JLabel lblGauge;
    private javax.swing.JLabel lblInBondMand;
    private javax.swing.JLabel lblOsPort;
    private javax.swing.JLabel lblOsPortMand;
    private javax.swing.JLabel lblPackGroup;
    private javax.swing.JLabel lblPort;
    private javax.swing.JLabel lblTemp;
    private javax.swing.JLabel lblUnNum;
    private javax.swing.JPanel tabAddInfo;
    private javax.swing.JPanel tabContainer;
    private javax.swing.JTabbedPane tabDispatch;
    private javax.swing.JPanel tabLocation;
    private javax.swing.JPanel tabMsg;
    private javax.swing.JTextField txtAllInRate;
    private javax.swing.JTextField txtBOL;
    private javax.swing.JTextField txtBaseRate;
    private javax.swing.JTextField txtCargoAddress1;
    private javax.swing.JTextField txtCargoAddress2;
    private javax.swing.JTextField txtCargoCity;
    private javax.swing.JTextField txtCargoState;
    private javax.swing.JTextField txtClass;
    private javax.swing.JTextField txtCommod;
    private javax.swing.JTextField txtContainerNbr;
    private javax.swing.JTextField txtCutOff;
    private javax.swing.JTextField txtERD;
    private javax.swing.JTextField txtETA;
    private javax.swing.JTextField txtEmptyAddress1;
    private javax.swing.JTextField txtEmptyAddress2;
    private javax.swing.JTextField txtEmptyCity;
    private javax.swing.JTextField txtEmptyState;
    private javax.swing.JTextField txtHaz;
    private javax.swing.JTextArea txtMsg;
    private javax.swing.JTextField txtOsPort;
    private javax.swing.JTextField txtPackGroup;
    private javax.swing.JTextField txtPier;
    private javax.swing.JTextField txtPortAddress1;
    private javax.swing.JTextField txtPortAddress2;
    private javax.swing.JTextField txtPortCity;
    private javax.swing.JTextField txtPortState;
    private javax.swing.JTextField txtQuoteNbr;
    private javax.swing.JTextField txtRamp;
    private javax.swing.JTextField txtRefNum;
    private javax.swing.JTextArea txtRemarks;
    private javax.swing.JTextField txtSeal;
    private javax.swing.JTextField txtTemp;
    private javax.swing.JTextField txtType;
    private javax.swing.JTextField txtUnNum;
    private javax.swing.JTextField txtVessel;
    private javax.swing.JTextField txtVoyage;
    private javax.swing.JTextField txtWeight;
    // End of variables declaration//GEN-END:variables

    private void addShippingLines() {
        String slXML = loadShippingLines(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), "");
        ws.setDOM(slXML);
        if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
            for(int i=0; i<ws.getNodeSize(); i++) {
                cboShipLine.addItem(ws.getParsedXmlVal("shippingline", "shippinglinename", i));
            }
        }
    }
    
    private void addBranches() {
        String bXML = loadBranchList(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW());
        ws.setDOM(bXML);
        if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
            data.put("branchSize", ws.getParsedXmlVal("data", "resultDesc", 0));
            for(int i=0; i<ws.getNodeSize(); i++) {
                data.put("branchName"+i,ws.getParsedXmlVal("branch", "branchname", i));
                data.put("addressOne"+i,ws.getParsedXmlVal("branch", "address1", i));
                data.put("addressTwo"+i,ws.getParsedXmlVal("branch", "address2", i));
                data.put("city"+i,ws.getParsedXmlVal("branch", "city", i));
                data.put("state"+i,ws.getParsedXmlVal("branch", "state", i));
                data.put("zipcode"+i,ws.getParsedXmlVal("branch", "zipcode", i));
                data.put("country"+i,ws.getParsedXmlVal("branch", "country", i));
                data.put("telephone"+i,ws.getParsedXmlVal("branch", "telephone", i));
                data.put("fax"+i,ws.getParsedXmlVal("branch", "fax", i));
                data.put("email"+i,ws.getParsedXmlVal("branch", "email", i));
                data.put("webPage"+i,ws.getParsedXmlVal("branch", "webpage", i));
                cboBranch.addItem(data.get("branchName"+i).toString());
            }
            
        }
    }
    
    private void addGroupMembers() {
        boolean imsLocOnly = true;
        String[] locSplit = lblPort.getText().split(",");
        String gmXML = locGroupMembers(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), locSplit[0]);  
        String[] locNameTemp;
        ws.setDOM(gmXML);
        if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
            data.put("portSize", ws.getParsedXmlVal("data", "resultDesc", 0));
            for(int i=0; i<ws.getNodeSize(); i++) {
                //data.put("portName"+i,ws.getParsedXmlVal("location", "locationname", i));
                locNameTemp=ws.getParsedXmlVal("location", "locationname", i).split(",");
                data.put("portName"+i, locNameTemp[0]);
                data.put("portAddressOne"+i,ws.getParsedXmlVal("location", "address1", i));
                data.put("portCity"+i,ws.getParsedXmlVal("location", "city", i));
                data.put("portState"+i,ws.getParsedXmlVal("location", "state", i));
                cboPort.addItem(data.get("portName"+i).toString());
            }
        } else {
            txtMsg.setText(ws.getParsedXmlVal("data", "resultDesc", 0));
        }
        if(imsLocOnly) {
            data.put("cargoName0", "TBA");
            cboCargoDelivery.addItem("TBA");
        } else {
            gmXML = loadClientLocations(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), lblCargoDelivery.getText(), "");
            ws.setDOM(gmXML);
            data.put("cargoName0", "TBA");
            cboCargoDelivery.addItem("TBA");
            if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
                data.put("cargoSize", ws.getParsedXmlVal("data", "resultDesc", 0));
                for(int i=1; i<ws.getNodeSize(); i++) {
                    data.put("cargoName"+i,ws.getParsedXmlVal("clientlocation", "clientlocationname", i));
                    data.put("cargoAddressOne"+i,ws.getParsedXmlVal("clientlocation", "address1", i));
                    data.put("cargoAddressOne"+i,ws.getParsedXmlVal("clientlocation", "address2", i));
                    data.put("cargoCity"+i,ws.getParsedXmlVal("clientlocation", "city", i));
                    data.put("cargoState"+i,ws.getParsedXmlVal("clientlocation", "state", i));
                    cboCargoDelivery.addItem(data.get("cargoName"+i).toString());
                }
            } else {
                locSplit =lblCargoDelivery.getText().split(",");
                gmXML = loadClientLocations(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), locSplit[0], "");
                ws.setDOM(gmXML);
                if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
                    data.put("cargoSize", ws.getParsedXmlVal("data", "resultDesc", 0));
                    for(int i=0; i<ws.getNodeSize(); i++) {
                        data.put("cargoName"+i,ws.getParsedXmlVal("clientlocation", "clientlocationname", i));
                        data.put("cargoAddressOne"+i,ws.getParsedXmlVal("clientlocation", "address1", i));
                        data.put("cargoAddressOne"+i,ws.getParsedXmlVal("clientlocation", "address2", i));
                        data.put("cargoCity"+i,ws.getParsedXmlVal("clientlocation", "city", i));
                        data.put("cargoState"+i,ws.getParsedXmlVal("clientlocation", "state", i));
                        cboCargoDelivery.addItem(data.get("cargoName"+i).toString());
                    }
                }
            }
        }
        
        locSplit = lblEmptyReturn.getText().split(",");
        gmXML = locGroupMembers(ws.getPublicKey(), ws.getUsername(), ws.getEncryptedPW(), locSplit[0]);  
        ws.setDOM(gmXML);
        if(ws.getParsedXmlVal("data", "result", 0).equals("ok")) {
            data.put("emptySize", ws.getParsedXmlVal("data", "resultDesc", 0));
            for(int i=0; i<ws.getNodeSize(); i++) {
                //data.put("emptyName"+i,ws.getParsedXmlVal("location", "locationname", i));
                locNameTemp=ws.getParsedXmlVal("location", "locationname", i).split(",");
                data.put("emptyName"+i,locNameTemp[0]);
                data.put("emptyAddressOne"+i,ws.getParsedXmlVal("location", "address1", i));
                data.put("emptyCity"+i,ws.getParsedXmlVal("location", "city", i));
                data.put("emptyState"+i,ws.getParsedXmlVal("location", "state", i));
                cboEmptyReturn.addItem(data.get("emptyName"+i).toString());
            }
        } else {
            txtMsg.setText(ws.getParsedXmlVal("data", "resultDesc", 0));
        }
    }
    
    public boolean validateData() {
        return true;
    }
    
    public String generateDispatchXML() {
        String gXml = "<xml>";
        gXml += "<dispatch>";
            gXml += "<version>" + addCData("1") + "</version>";
            gXml += "<header>";
                gXml += "<quotenbr>";
                gXml += addCData(this.txtQuoteNbr.getText());
                gXml += "</quotenbr>";
                gXml += "<ix>";
                gXml += addCData(this.data.get("ix").toString());
                gXml += "</ix>";
                gXml += "<client2>";
                //gXml += addCData(this.data.get("client2").toString());
                gXml += "</client2>";
                gXml += "<dispatchbranch>";
                gXml += addCData(this.cboBranch.getSelectedItem().toString());
                gXml += "</dispatchbranch>";
                gXml += "<clientref>";
                gXml += addCData(this.txtRefNum.getText());
                gXml += "</clientref>";
                gXml += "<shippingline>";
                gXml += addCData(this.cboShipLine.getSelectedItem().toString());
                gXml += "</shippingline>";
                gXml += "<vessel>";
                gXml += addCData(this.txtVessel.getText());
                gXml += "</vessel>";
                gXml += "<voyage>";
                gXml += addCData(this.txtVoyage.getText());
                gXml += "</voyage>";
                gXml += "<eta>";
                gXml += addCData((lblEtaEtd.getText().equals("ETA:") ? txtETA.getText() : ""));
                gXml += "</eta>";
                gXml += "<etd>";
                gXml += addCData((lblEtaEtd.getText().equals("ETD:") ? txtETA.getText() : ""));
                gXml += "</etd>";
                gXml += "<cutoff>";
                gXml += addCData(txtCutOff.getText());
                gXml += "</cutoff>";
                gXml += "<erd>";
                gXml += addCData(txtERD.getText());
                gXml += "</erd>";
                gXml += "<bol>";
                gXml += addCData((lblBolBook.getText().equals("BOL:") ? this.txtBOL.getText() : ""));
                gXml += "</bol>";
                gXml += "<booking>";
                gXml += addCData((lblBolBook.getText().equals("Booking:") ? this.txtBOL.getText() : ""));
                gXml += "</booking>";
                gXml += "<inbond>";
                gXml += addCData(this.cboBond.getSelectedItem().toString());
                gXml += "</inbond>";
                gXml += "<osport>";
                gXml += addCData(txtOsPort.getText());
                gXml += "</osport>";
                gXml += "<remarks>";
                gXml += addCData(this.txtRemarks.getText());
                gXml += "</remarks>";
            gXml += "</header>";
            gXml += "<locations>";
                gXml += "<p1>";
                    gXml += "<type>";
                    gXml += addCData("IMS");
                    gXml += "</type>";
                    gXml += "<name>";
                    //gXml += addCData(this.lblPort.getText());
                    gXml += addCData(this.cboPort.getSelectedItem().toString());
                    gXml += "</name>";
                    gXml += "<clientloc>";
                        gXml += "<name>";
                        gXml += addCData(this.cboPort.getSelectedItem().toString());
                        gXml += "</name>";
                        gXml += "<address1>";
                        gXml += addCData(this.txtPortAddress1.getText());
                        gXml += "</address1>";
                        gXml += "<address2>";
                        gXml += addCData(this.txtPortAddress2.getText());
                        gXml += "</address2>";
                        gXml += "<citystate>";
                        gXml += addCData((this.txtPortCity.getText() + ", " + this.txtPortState.getText()));
                        gXml += "</citystate>";
                    gXml += "</clientloc>";
                    gXml += "<clientcontact>";
                        gXml += "<firstname>";
                        gXml += "</firstname>";
                        gXml += "<lastname>";
                        gXml += "</lastname>";
                        gXml += "<phone>";
                        gXml += "</phone>";
                        gXml += "<phoneext>";
                        gXml += "</phoneext>";
                        gXml += "<fax>";
                        gXml += "</fax>";
                        gXml += "<cell>";
                        gXml += "</cell>";
                        gXml += "<email>";
                        gXml += "</email>";
                    gXml += "</clientcontact>";
                gXml += "</p1>";
                gXml += "<p2>";
                    gXml += "<type>";
                    gXml += addCData("IMS");
                    gXml += "</type>";
                    gXml += "<name>";
                    //gXml += addCData(this.lblCargoDelivery.getText());
                    gXml += addCData(this.cboCargoDelivery.getSelectedItem().toString());
                    gXml += "</name>";
                    gXml += "<clientloc>";
                        gXml += "<name>";
                        gXml += addCData(this.cboCargoDelivery.getSelectedItem().toString());
                        gXml += "</name>";
                        gXml += "<address1>";
                        gXml += addCData(this.txtCargoAddress1.getText());
                        gXml += "</address1>";
                        gXml += "<address2>";
                        gXml += addCData(this.txtCargoAddress2.getText());
                        gXml += "</address2>";
                        gXml += "<citystate>";
                        gXml += addCData((this.txtCargoCity.getText() + ", " + this.txtCargoState.getText()));
                        gXml += "</citystate>";
                    gXml += "</clientloc>";
                    gXml += "<clientcontact>";
                        gXml += "<firstname>";
                        gXml += "</firstname>";
                        gXml += "<lastname>";
                        gXml += "</lastname>";
                        gXml += "<phone>";
                        gXml += "</phone>";
                        gXml += "<phoneext>";
                        gXml += "</phoneext>";
                        gXml += "<fax>";
                        gXml += "</fax>";
                        gXml += "<cell>";
                        gXml += "</cell>";
                        gXml += "<email>";
                        gXml += "</email>";
                    gXml += "</clientcontact>";
                gXml += "</p2>";
                gXml += "<p3>";
                    gXml += "<type>";
                    gXml += addCData("IMS");
                    gXml += "</type>";
                    gXml += "<name>";
                    //gXml += addCData(this.lblEmptyReturn.getText());
                    gXml += addCData(this.cboEmptyReturn.getSelectedItem().toString());
                    gXml += "</name>";
                    gXml += "<clientloc>";
                        gXml += "<name>";
                        gXml += addCData(this.cboEmptyReturn.getSelectedItem().toString());
                        gXml += "</name>";
                        gXml += "<address1>";
                        gXml += addCData(this.txtEmptyAddress1.getText());
                        gXml += "</address1>";
                        gXml += "<address2>";
                        gXml += addCData(this.txtEmptyAddress2.getText());
                        gXml += "</address2>";
                        gXml += "<citystate>";
                        gXml += addCData((this.txtEmptyCity.getText() + ", " + this.txtEmptyState.getText()));
                        gXml += "</citystate>";
                    gXml += "</clientloc>";
                    gXml += "<clientcontact>";
                        gXml += "<firstname>";
                        gXml += "</firstname>";
                        gXml += "<lastname>";
                        gXml += "</lastname>";
                        gXml += "<phone>";
                        gXml += "</phone>";
                        gXml += "<phoneext>";
                        gXml += "</phoneext>";
                        gXml += "<fax>";
                        gXml += "</fax>";
                        gXml += "<cell>";
                        gXml += "</cell>";
                        gXml += "<email>";
                        gXml += "</email>";
                    gXml += "</clientcontact>";
                gXml += "</p3>";
            gXml += "</locations>";
            gXml += "<containers>";
                gXml += "<container>";
                    gXml += "<containernbr>";
                    gXml += addCData(this.txtContainerNbr.getText());
                    gXml += "</containernbr>";
                    gXml += "<size>";
                    gXml += addCData(this.cboSize.getSelectedItem().toString());
                    gXml += "</size>";
                    gXml += "<type>";
                    gXml += addCData(this.txtType.getText());
                    gXml += "</type>";
                    gXml += "<ingauge>";
                    gXml += addCData( (this.cboGauge.getSelectedIndex() < 0 ? "" : this.cboGauge.getSelectedItem().toString()) );
                    gXml += "</ingauge>";
                    gXml += "<reeftemp>";
                    gXml += addCData(this.txtTemp.getText());
                    gXml += "</reeftemp>";
                    gXml += "<reefunit>";
                    gXml += addCData( (this.cboTemp.getSelectedIndex() < 0 ? "" : this.cboTemp.getSelectedItem().toString()) );
                    gXml += "</reefunit>";
                    gXml += "<weight>";
                    gXml += addCData(this.txtWeight.getText());
                    gXml += "</weight>";
                    gXml += "<weightunit>";
                    gXml += addCData(this.cboWeight.getSelectedItem().toString());
                    gXml += "</weightunit>";
                    gXml += "<commodity>";
                    gXml += addCData(this.txtCommod.getText());
                    gXml += "</commodity>";
                    gXml += "<piececount>";
                    gXml += "</piececount>";
                    gXml += "<packagingtype>";
                    gXml += "</packagingtype>";
                    gXml += "<seal>";
                    gXml += addCData(this.txtSeal.getText());
                    gXml += "</seal>";
                    gXml += "<pickupnbr>";
                    gXml += "</pickupnbr>";
                    gXml += "<ramplfd>";
                    gXml += addCData(this.txtRamp.getText());
                    gXml += "</ramplfd>";
                    gXml += "<pierlfd>";
                    gXml += addCData(this.txtPier.getText());
                    gXml += "</pierlfd>";
                    gXml += "<hazyn>";
                    gXml += addCData(this.txtHaz.getText());
                    gXml += "</hazyn>";
                    gXml += "<hazunnumber>";
                    gXml += addCData(this.txtUnNum.getText());
                    gXml += "</hazunnumber>";
                    gXml += "<hazclass>";
                    gXml += addCData(this.txtClass.getText());
                    gXml += "</hazclass>";
                    gXml += "<hazpackaginggroup>";
                    gXml += addCData(this.txtPackGroup.getText());
                    gXml += "</hazpackaginggroup>";
                    gXml += "<quotenbr>";
                    gXml += addCData(this.txtQuoteNbr.getText());
                    gXml += "</quotenbr>";
                    gXml += "<quotebaserate>";
                    gXml += addCData(this.data.get("quoteAmt"+this.index).toString());
                    gXml += "</quotebaserate>";
                    gXml += "<quotefuel>";
                    gXml += addCData(this.data.get("fuelFees"+index).toString());
                    gXml += "</quotefuel>";
                    gXml += "<quotehaz>";
                    gXml += addCData(this.data.get("hazardousFees"+index).toString());
                    gXml += "</quotehaz>";
                    gXml += "<quoteow>";
                    gXml += addCData(this.data.get("overweightFees"+index).toString());
                    gXml += "</quoteow>";
                    gXml += "<quotereef>";
                    gXml += addCData(this.data.get("reeferFees"+index).toString());
                    gXml += "</quotereef>";
                    gXml += "<quotecleantruck>";
                    gXml += addCData(this.data.get("cleanTruckFees"+index).toString());
                    gXml += "</quotecleantruck>";
                    gXml += "<quoteallinrate>";
                    gXml += addCData(this.txtAllInRate.getText());
                    gXml += "</quoteallinrate>";
                gXml += "</container>";
            gXml += "</containers>";
        gXml += "</dispatch>";
        gXml += "</xml>";
        return gXml;
    }
    private String addCData(String temp) {
        return ("<![CDATA[" + temp + "]]>");
    }


    private static String locGroupMembers(java.lang.String clientkey, java.lang.String username, java.lang.String password, java.lang.String locName) {
        com.imstransport.apps.imsservice.IMSServiceService service = new com.imstransport.apps.imsservice.IMSServiceService();
        com.imstransport.apps.imsservice.IMSServicePort port = service.getIMSServicePort();
        return port.locGroupMembers(clientkey, username, password, locName);
    }

    private static String loadClientLocations(java.lang.String clientkey, java.lang.String username, java.lang.String password, java.lang.String svcLocationName, java.lang.String clientLocationName) {
        com.imstransport.apps.imsservice.IMSServiceService service = new com.imstransport.apps.imsservice.IMSServiceService();
        com.imstransport.apps.imsservice.IMSServicePort port = service.getIMSServicePort();
        return port.loadClientLocations(clientkey, username, password, svcLocationName, clientLocationName);
    }

    private static String loadShippingLines(java.lang.String clientkey, java.lang.String username, java.lang.String password, java.lang.String shippingLine) {
        com.imstransport.apps.imsservice.IMSServiceService service = new com.imstransport.apps.imsservice.IMSServiceService();
        com.imstransport.apps.imsservice.IMSServicePort port = service.getIMSServicePort();
        return port.loadShippingLines(clientkey, username, password, shippingLine);
    }

    private static String submitDispatchXML(java.lang.String clientkey, java.lang.String username, java.lang.String password, java.lang.String xmlString) {
        com.imstransport.apps.imsservice.IMSServiceService service = new com.imstransport.apps.imsservice.IMSServiceService();
        com.imstransport.apps.imsservice.IMSServicePort port = service.getIMSServicePort();
        return port.submitDispatchXML(clientkey, username, password, xmlString);
    }

    private static String loadBranchList(java.lang.String clientkey, java.lang.String username, java.lang.String password) {
        com.imstransport.apps.imsservice.IMSServiceService service = new com.imstransport.apps.imsservice.IMSServiceService();
        com.imstransport.apps.imsservice.IMSServicePort port = service.getIMSServicePort();
        return port.loadBranchList(clientkey, username, password);
    }
    
}
