/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package webserviceapp;

import java.io.ByteArrayInputStream;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

/**
 *
 * @author marka
 */
public class WebServiceApp {
private String encryptPW = "";
private String username = "";
private String publicKey = "";
private DocumentBuilderFactory docBuilderFactory1;
private DocumentBuilder docBuilder1;
private Document doc1;
private NodeList locationList1;
private Node quoteNode1;
private Element quoteElement1;
private NodeList tagList1;
private Element tagElement1;
private NodeList textDataList1;

    WebServiceApp(String username, String password, String publicKey, String privateKey) {
        this.username = username;
        encrypt(password, privateKey);
        this.publicKey = publicKey;
    }
    
    private void encrypt(String pw, String key) {
        String ePw = "";
        String keychar = "";
        String singlechar = "";
        int start;
        for(int i=0; i<pw.length(); i++) { 
            singlechar = pw.substring(i, i+1); 
            start = (i % key.length())-1;
            if(start<0) {
                start = (key.length()+start);
            }
            keychar = key.substring(start, start+1);
            singlechar = ((int)singlechar.charAt(0) +(int)keychar.charAt(0)) + "|";
            ePw += singlechar; 
        }
        this.encryptPW = ePw;
    }

    public String getEncryptedPW() {
        return this.encryptPW;
    }
    
    public String getUsername() {
        return this.username;
    }
    
    public String getParsedXmlVal(String header, String tag, int index) {
        try {
            locationList1 = doc1.getElementsByTagName(header);
            quoteNode1 = locationList1.item(index);
            
            quoteElement1 = (Element)quoteNode1;
            tagList1 = quoteElement1.getElementsByTagName(tag);
            tagElement1 = (Element)tagList1.item(0);
            textDataList1 = tagElement1.getChildNodes();
            
            return ((Node)textDataList1.item(0)).getNodeValue().trim();
        } catch (Exception e) {
            return e.toString();
        }
    }
    
    public void setDOM(String xml) {
        try {
            docBuilderFactory1 = DocumentBuilderFactory.newInstance();
            docBuilder1 = docBuilderFactory1.newDocumentBuilder();
            doc1 = docBuilder1.parse(new InputSource(new ByteArrayInputStream(xml.getBytes("utf-8"))));

            // normalize text representation
            doc1.getDocumentElement().normalize();

            //return ((Node)textDataList1.item(index)).getNodeValue().trim();
        } catch(Exception e) {
            
        }
    }

    public int getNodeSize() {
        return locationList1.getLength();
    }
    
    public String getPublicKey() {
        return this.publicKey;
    }
}
